Read every live public consumer range for one brand
curl --request GET \
--url https://api-v2.watchcollect.com/v2/public/price-engine/v1/prices/bulk \
--header 'Origin: <origin>'const options = {method: 'GET', headers: {Origin: '<origin>'}};
fetch('https://api-v2.watchcollect.com/v2/public/price-engine/v1/prices/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/public/price-engine/v1/prices/bulk"
headers = {"Origin": "<origin>"}
response = requests.get(url, headers=headers)
print(response.text){
"schema_version": "price-engine.bulk.v1",
"brand": "Rolex",
"currency": "EUR",
"as_of": "2023-11-07T05:31:56Z",
"total": 2,
"items": [
{
"reference": "<string>",
"as_of": "2023-11-07T05:31:56Z",
"years": [
{
"year": 2050,
"new": {
"status": "available",
"min_eur_minor": 1,
"max_eur_minor": 1
},
"lightly_worn": {
"status": "available",
"min_eur_minor": 1,
"max_eur_minor": 1
}
}
],
"configuration_key": "<string>",
"configuration_label": "<string>"
}
]
}Market — Price Engine
Read every live public consumer range for one brand
Set-based snapshot read with a 12 requests/minute per-IP limit and burst 3.
GET
/
v2
/
public
/
price-engine
/
v1
/
prices
/
bulk
Read every live public consumer range for one brand
curl --request GET \
--url https://api-v2.watchcollect.com/v2/public/price-engine/v1/prices/bulk \
--header 'Origin: <origin>'const options = {method: 'GET', headers: {Origin: '<origin>'}};
fetch('https://api-v2.watchcollect.com/v2/public/price-engine/v1/prices/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/public/price-engine/v1/prices/bulk"
headers = {"Origin": "<origin>"}
response = requests.get(url, headers=headers)
print(response.text){
"schema_version": "price-engine.bulk.v1",
"brand": "Rolex",
"currency": "EUR",
"as_of": "2023-11-07T05:31:56Z",
"total": 2,
"items": [
{
"reference": "<string>",
"as_of": "2023-11-07T05:31:56Z",
"years": [
{
"year": 2050,
"new": {
"status": "available",
"min_eur_minor": 1,
"max_eur_minor": 1
},
"lightly_worn": {
"status": "available",
"min_eur_minor": 1,
"max_eur_minor": 1
}
}
],
"configuration_key": "<string>",
"configuration_label": "<string>"
}
]
}Headers
Query Parameters
Available options:
rolex, patek, ap Response
Fresh published prices for the complete brand.
Available options:
price-engine.bulk.v1 Available options:
Rolex, Patek Philippe, Audemars Piguet Available options:
EUR Required range:
x >= 1Show child attributes
Show child attributes